<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Agenda</title>

    <!--Importacion de Bootrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!--Importacion deestilos propios-->
    <link rel="stylesheet" href="../styles/static/index.css">
</head>

<body>

    <!--Barra de navegacion-->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo03" aria-controls="navbarTogglerDemo03" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <a class="navbar-brand" href="#"> <img src="../img/icons/beauty.png" width="64" height="64" /> Helena</a>

        <div class="collapse navbar-collapse" id="navbarTogglerDemo03">
            <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                <li class="nav-item">
                    <a class="nav-link" href="../index.html">Incio </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="galeria.html">Galeria</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="contacto.html">Contacto</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="#">Agenda <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </nav>

    <!--Contenido de la página-->
    <div class="container">
        <h1>Agenda tu hora con nosostros</h1>
        <form>
            <div class="form-group">
                <label for="correo">Correo Electronico</label>
                <input type="email" class="form-control" id="correo" aria-describedby="emailHelp" placeholder="Ingrese Correo">
                <small id="emailHelp" class="form-text text-muted">Nunca compartiremos tu correo con nadie</small>
                <p id="alerta-correo" style="color: red"></p>
            </div>
            <div class="form-group">
                <label for="nombre">Nombre</label>
                <input type="text" class="form-control" id="nombre" placeholder="Ingrese nombre">
                <p id="alerta-nombre" style="color: red"></p>
            </div>
            <div class="form-group">
                <label for="edad">Edad</label>
                <input type="number" class="form-control" name="edad" id="edad" placeholder="Ingrese Edad">
                <p id="alerta-edad" style="color: red"></p>
            </div>
            <div class="form-group">
                <label for="fechaReserva">Fecha Reserva</label>
                <input type="date" name="fechaReserva" id="fechaReserva" class="form-control">
                <p id="alerta-fecha" style="color: red"></p>
            </div>
            <div class="form-group">
                <label for="horaReserva">Hora Reserva</label>
                <input type="time" class="form-control" id="horaReserva">
                <p id="alerta-hora" style="color: red"></p>
            </div>
            <div class="form-group">
                <label for="tipoServicio">Tipo de Serviocio</label>
                <input type="text" name="tipoServicio" id="tipoServicio" class="form-control">
                <p id="alerta-servicio" style="color: red"></p>
            </div>
            <button onclick="agendarHora()" type="button" class="btn btn-primary" style="background-color: blueviolet;">Agendar</button>
        </form>
    </div>
    <!--Imporacion de Javascript Bootstrap-->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <!--Importacion de Javascript-->
    <script src="src/index.js"></script>
</body>

</html>
<script>
    function agendarHora() {
        let correoInput = document.getElementById('correo')
        let nombreInput = document.getElementById('nombre')
        let edadInput = document.getElementById('edad')
        let fechaInput = document.getElementById('fechaReserva')
        let horaInput = document.getElementById('horaReserva')
        let tipoServicio = document.getElementById('tipoServicio')

        if (!correoInput.value) {
            let alertaCorreo = document.getElementById('alerta-correo')
            alertaCorreo.innerText = "El correo no puede estar vacio"
        }
        if (!nombreInput.value) {
            let alertaNombre = document.getElementById('alerta-nombre')
            alertaNombre.innerText = "El nombre no puede estar vacio"
        }
        if (!edad.value) {
            let alertaEdad = document.getElementById('alerta-edad')
            alertaEdad.innerText = "La edad no puede estar vacio"
        }
        if (!fechaInput.value) {
            let alertaFecha = document.getElementById('alerta-fecha')
            alertaFecha.innerText = "La fecha no puede estar vacio"
        }
        if (!horaInput.value) {
            let alertaHora = document.getElementById('alerta-hora')
            alertaHora.innerText = "La hora no puede estar vacio"
        }
        if (!tipoServicio.value) {
            let alertaServicio = document.getElementById('alerta-servicio')
            alertaServicio.innerText = "El tipo de servicio no puede estar vacio"
        }

        console.log("******************")
        console.log("Su hora ha sido reservada")
        console.log(`Nombre: ${nombreInput.value}`)
        console.log(`Edad: ${edadInput.value}`)
        console.log(`Correo: ${correoInput.value}`)
        console.log(`Hora: ${horaReserva.value}`)
        console.log(`Fecha: ${fechaReserva.value}`)
    }
</script>